{% extends 'base.html' %}

{% block content %}
<main>
    <div>
        <h1>{{ show_project.name }}</h1>
        <p>{{ show_project.description }}</p>
        <h2>Tasks</h2>
        <p><a href="{% url 'create_task' %}">Create a new task</a></p>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in show_project.tasks.all %}
                {% if show_project.tasks.all %}
                <tr>
                    <td>{{ task.name }}</td>
                    <td>{{ task.assignee }}</td>
                    <td>{{ task.start_date }}</td>
                    <td>{{ task.due_date }}</td>
                    <td>{{ task.is_completed|yesno }}</td>
                </tr>
            </tbody>
            {% else %}
        </table>
        <p>This project has no tasks</p>
        {% endif %}
        {% endfor %}
    </div>
</main>
{% endblock %}
